Index: palm/trunk/SOURCE/virtual_measurement_mod.f90
===================================================================
--- palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4497)
+++ palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4498)
@@ -475,332 +468,331 @@
  END SUBROUTINE vm_check_parameters
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Subroutine defines variable attributes according to UC2 standard. Note, later
-!> this list can be moved to the data-output module where it can be re-used also
-!> for other output.
-!------------------------------------------------------------------------------!
-  SUBROUTINE vm_set_attributes( output_variable )
-
-     TYPE( virt_var_atts ), INTENT(INOUT) ::  output_variable !< data structure with attributes that need to be set
-
-     output_variable%long_name     = 'none'
-     output_variable%standard_name = 'none'
-     output_variable%units         = 'none'
-     output_variable%coordinates   = 'lon lat E_UTM N_UTM x y z time station_name'
-     output_variable%grid_mapping  = 'crs'
-
-     SELECT CASE ( TRIM( output_variable%name ) )
-
-        CASE ( 'u' )
-           output_variable%long_name     = 'u wind component'
-           output_variable%units         = 'm s-1'
-
-        CASE ( 'ua' )
-           output_variable%long_name     = 'eastward wind'
-           output_variable%standard_name = 'eastward_wind'
-           output_variable%units         = 'm s-1'
-
-        CASE ( 'v' )
-           output_variable%long_name     = 'v wind component'
-           output_variable%units         = 'm s-1'
-
-        CASE ( 'va' )
-           output_variable%long_name     = 'northward wind'
-           output_variable%standard_name = 'northward_wind'
-           output_variable%units         = 'm s-1'
-
-        CASE ( 'w' )
-           output_variable%long_name     = 'w wind component'
-           output_variable%standard_name = 'upward_air_velocity'
-           output_variable%units         = 'm s-1'
-
-        CASE ( 'wspeed' )
-           output_variable%long_name     = 'wind speed'
-           output_variable%standard_name = 'wind_speed'
-           output_variable%units         = 'm s-1'
-
-        CASE ( 'wdir' )
-           output_variable%long_name     = 'wind from direction'
-           output_variable%standard_name = 'wind_from_direction'
-           output_variable%units         = 'degrees'
-
-        CASE ( 'theta' )
-           output_variable%long_name     = 'air potential temperature'
-           output_variable%standard_name = 'air_potential_temperature'
-           output_variable%units         = 'K'
-
-        CASE ( 'utheta' )
-           output_variable%long_name     = 'eastward kinematic sensible heat flux in air'
-           output_variable%units         = 'K m s-1'
-
-        CASE ( 'vtheta' )
-           output_variable%long_name     = 'northward kinematic sensible heat flux in air'
-           output_variable%units         = 'K m s-1'
-
-        CASE ( 'wtheta' )
-           output_variable%long_name     = 'upward kinematic sensible heat flux in air'
-           output_variable%units         = 'K m s-1'
-
-        CASE ( 'ta' )
-           output_variable%long_name     = 'air temperature'
-           output_variable%standard_name = 'air_temperature'
-           output_variable%units         = 'degree_C'
-
-        CASE ( 'tva' )
-           output_variable%long_name     = 'virtual acoustic temperature'
-           output_variable%units         = 'K'
-
-        CASE ( 'haa' )
-           output_variable%long_name     = 'absolute atmospheric humidity'
-           output_variable%units         = 'kg m-3'
-
-        CASE ( 'hus' )
-           output_variable%long_name     = 'specific humidity'
-           output_variable%standard_name = 'specific_humidity'
-           output_variable%units         = 'kg kg-1'
-
-        CASE ( 'hur' )
-           output_variable%long_name     = 'relative humidity'
-           output_variable%standard_name = 'relative_humidity'
-           output_variable%units         = '1'
-
-        CASE ( 'rlu' )
-           output_variable%long_name     = 'upwelling longwave flux in air'
-           output_variable%standard_name = 'upwelling_longwave_flux_in_air'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'rlus' )
-           output_variable%long_name     = 'surface upwelling longwave flux in air'
-           output_variable%standard_name = 'surface_upwelling_longwave_flux_in_air'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'rld' )
-           output_variable%long_name     = 'downwelling longwave flux in air'
-           output_variable%standard_name = 'downwelling_longwave_flux_in_air'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'rsddif' )
-           output_variable%long_name     = 'diffuse downwelling shortwave flux in air'
-           output_variable%standard_name = 'diffuse_downwelling_shortwave_flux_in_air'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'rsd' )
-           output_variable%long_name     = 'downwelling shortwave flux in air'
-           output_variable%standard_name = 'downwelling_shortwave_flux_in_air'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'rnds' )
-           output_variable%long_name     = 'surface net downward radiative flux'
-           output_variable%standard_name = 'surface_net_downward_radiative_flux'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'rsu' )
-           output_variable%long_name     = 'upwelling shortwave flux in air'
-           output_variable%standard_name = 'upwelling_shortwave_flux_in_air'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'rsus' )
-           output_variable%long_name     = 'surface upwelling shortwave flux in air'
-           output_variable%standard_name = 'surface_upwelling_shortwave_flux_in_air'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'rsds' )
-           output_variable%long_name     = 'surface downwelling shortwave flux in air'
-           output_variable%standard_name = 'surface_downwelling_shortwave_flux_in_air'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'hfss' )
-           output_variable%long_name     = 'surface upward sensible heat flux'
-           output_variable%standard_name = 'surface_upward_sensible_heat_flux'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'hfls' )
-           output_variable%long_name     = 'surface upward latent heat flux'
-           output_variable%standard_name = 'surface_upward_latent_heat_flux'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'ts' )
-           output_variable%long_name     = 'surface temperature'
-           output_variable%standard_name = 'surface_temperature'
-           output_variable%units         = 'K'
-
-        CASE ( 'thetas' )
-           output_variable%long_name     = 'surface layer temperature scale'
-           output_variable%units         = 'K'
-
-        CASE ( 'us' )
-           output_variable%long_name     = 'friction velocity'
-           output_variable%units         = 'm s-1'
-
-        CASE ( 'uw' )
-           output_variable%long_name     = 'upward eastward kinematic momentum flux in air'
-           output_variable%units         = 'm2 s-2'
-
-        CASE ( 'vw' )
-           output_variable%long_name     = 'upward northward kinematic momentum flux in air'
-           output_variable%units         = 'm2 s-2'
-
-        CASE ( 'uv' )
-           output_variable%long_name     = 'eastward northward kinematic momentum flux in air'
-           output_variable%units         = 'm2 s-2'
-
-        CASE ( 'plev' )
-           output_variable%long_name     = 'air pressure'
-           output_variable%standard_name = 'air_pressure'
-           output_variable%units         = 'Pa'
-
-        CASE ( 'm_soil' )
-           output_variable%long_name     = 'soil moisture volumetric'
-           output_variable%units         = 'm3 m-3'
-
-        CASE ( 't_soil' )
-           output_variable%long_name     = 'soil temperature'
-           output_variable%standard_name = 'soil_temperature'
-           output_variable%units         = 'degree_C'
-
-        CASE ( 'hfdg' )
-           output_variable%long_name     = 'downward heat flux at ground level in soil'
-           output_variable%standard_name = 'downward_heat_flux_at_ground_level_in_soil'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'hfds' )
-           output_variable%long_name     = 'downward heat flux in soil'
-           output_variable%standard_name = 'downward_heat_flux_in_soil'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'hfla' )
-           output_variable%long_name     = 'upward latent heat flux in air'
-           output_variable%standard_name = 'upward_latent_heat_flux_in_air'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'hfsa' )
-           output_variable%long_name     = 'upward latent heat flux in air'
-           output_variable%standard_name = 'upward_sensible_heat_flux_in_air'
-           output_variable%units         = 'W m-2'
-
-        CASE ( 'jno2' )
-           output_variable%long_name     = 'photolysis rate of nitrogen dioxide'
-           output_variable%standard_name = 'photolysis_rate_of_nitrogen_dioxide'
-           output_variable%units         = 's-1'
-
-        CASE ( 'lwcs' )
-           output_variable%long_name     = 'liquid water content of soil layer'
-           output_variable%standard_name = 'liquid_water_content_of_soil_layer'
-           output_variable%units         = 'kg m-2'
-
-        CASE ( 'lwp' )
-           output_variable%long_name     = 'liquid water path'
-           output_variable%standard_name = 'atmosphere_mass_content_of_cloud_liquid_water'
-           output_variable%units         = 'kg m-2'
-
-        CASE ( 'ps' )
-           output_variable%long_name     = 'surface air pressure'
-           output_variable%standard_name = 'surface_air_pressure'
-           output_variable%units         = 'hPa'
-
-        CASE ( 'pswrtg' )
-           output_variable%long_name     = 'platform speed wrt ground'
-           output_variable%standard_name = 'platform_speed_wrt_ground'
-           output_variable%units         = 'm s-1'
-
-        CASE ( 'pswrta' )
-           output_variable%long_name     = 'platform speed wrt air'
-           output_variable%standard_name = 'platform_speed_wrt_air'
-           output_variable%units         = 'm s-1'
-
-        CASE ( 'pwv' )
-           output_variable%long_name     = 'water vapor partial pressure in air'
-           output_variable%standard_name = 'water_vapor_partial_pressure_in_air'
-           output_variable%units         = 'hPa'
-
-        CASE ( 'ssdu' )
-           output_variable%long_name     = 'duration of sunshine'
-           output_variable%standard_name = 'duration_of_sunshine'
-           output_variable%units         = 's'
-
-        CASE ( 't_lw' )
-           output_variable%long_name     = 'land water temperature'
-           output_variable%units         = 'degree_C'
-
-        CASE ( 'tb' )
-           output_variable%long_name     = 'brightness temperature'
-           output_variable%standard_name = 'brightness_temperature'
-           output_variable%units         = 'K'
-
-        CASE ( 'uqv' )
-           output_variable%long_name     = 'eastward kinematic latent heat flux in air'
-           output_variable%units         = 'g kg-1 m s-1'
-
-        CASE ( 'vqv' )
-           output_variable%long_name     = 'northward kinematic latent heat flux in air'
-           output_variable%units         = 'g kg-1 m s-1'
-
-        CASE ( 'wqv' )
-           output_variable%long_name     = 'upward kinematic latent heat flux in air'
-           output_variable%units         = 'g kg-1 m s-1'
-
-        CASE ( 'zcb' )
-           output_variable%long_name     = 'cloud base altitude'
-           output_variable%standard_name = 'cloud_base_altitude'
-           output_variable%units         = 'm'
-
-        CASE ( 'zmla' )
-           output_variable%long_name     = 'atmosphere boundary layer thickness'
-           output_variable%standard_name = 'atmosphere_boundary_layer_thickness'
-           output_variable%units         = 'm'
-
-        CASE ( 'mcpm1' )
-           output_variable%long_name     = 'mass concentration of pm1 ambient aerosol particles in air'
-           output_variable%standard_name = 'mass_concentration_of_pm1_ambient_aerosol_particles_in_air'
-           output_variable%units         = 'kg m-3'
-
-        CASE ( 'mcpm10' )
-           output_variable%long_name     = 'mass concentration of pm10 ambient aerosol particles in air'
-           output_variable%standard_name = 'mass_concentration_of_pm10_ambient_aerosol_particles_in_air'
-           output_variable%units         = 'kg m-3'
-
-        CASE ( 'mcpm2p5' )
-           output_variable%long_name     = 'mass concentration of pm2p5 ambient aerosol particles in air'
-           output_variable%standard_name = 'mass_concentration_of_pm2p5_ambient_aerosol_particles_in_air'
-           output_variable%units         = 'kg m-3'
-
-        CASE ( 'mfno', 'mcno'  )
-           output_variable%long_name     = 'mole fraction of nitrogen monoxide in air'
-           output_variable%standard_name = 'mole_fraction_of_nitrogen_monoxide_in_air'
-           output_variable%units         = 'ppm' !'mol mol-1'
-
-        CASE ( 'mfno2', 'mcno2'  )
-           output_variable%long_name     = 'mole fraction of nitrogen dioxide in air'
-           output_variable%standard_name = 'mole_fraction_of_nitrogen_dioxide_in_air'
-           output_variable%units         = 'ppm' !'mol mol-1'
-
-        CASE ( 'tro3'  )
-           output_variable%long_name     = 'mole fraction of ozone in air'
-           output_variable%standard_name = 'mole_fraction_of_ozone_in_air'
-           output_variable%units         = 'ppm' !'mol mol-1'
-
-        CASE DEFAULT
-
-     END SELECT
-
-  END SUBROUTINE vm_set_attributes
-
-
-!------------------------------------------------------------------------------!
+!> Subroutine defines variable attributes according to UC2 standard. Note, later  this list can be
+!> moved to the data-output module where it can be re-used also for other output.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE vm_set_attributes( output_variable )
+
+    TYPE( virt_var_atts ), INTENT(INOUT) ::  output_variable !< data structure with attributes that need to be set
+
+    output_variable%long_name     = 'none'
+    output_variable%standard_name = 'none'
+    output_variable%units         = 'none'
+    output_variable%coordinates   = 'lon lat E_UTM N_UTM x y z time station_name'
+    output_variable%grid_mapping  = 'crs'
+
+    SELECT CASE ( TRIM( output_variable%name ) )
+
+       CASE ( 'u' )
+          output_variable%long_name     = 'u wind component'
+          output_variable%units         = 'm s-1'
+
+       CASE ( 'ua' )
+          output_variable%long_name     = 'eastward wind'
+          output_variable%standard_name = 'eastward_wind'
+          output_variable%units         = 'm s-1'
+
+       CASE ( 'v' )
+          output_variable%long_name     = 'v wind component'
+          output_variable%units         = 'm s-1'
+
+       CASE ( 'va' )
+          output_variable%long_name     = 'northward wind'
+          output_variable%standard_name = 'northward_wind'
+          output_variable%units         = 'm s-1'
+
+       CASE ( 'w' )
+          output_variable%long_name     = 'w wind component'
+          output_variable%standard_name = 'upward_air_velocity'
+          output_variable%units         = 'm s-1'
+
+       CASE ( 'wspeed' )
+          output_variable%long_name     = 'wind speed'
+          output_variable%standard_name = 'wind_speed'
+          output_variable%units         = 'm s-1'
+
+       CASE ( 'wdir' )
+          output_variable%long_name     = 'wind from direction'
+          output_variable%standard_name = 'wind_from_direction'
+          output_variable%units         = 'degrees'
+
+       CASE ( 'theta' )
+          output_variable%long_name     = 'air potential temperature'
+          output_variable%standard_name = 'air_potential_temperature'
+          output_variable%units         = 'K'
+
+       CASE ( 'utheta' )
+          output_variable%long_name     = 'eastward kinematic sensible heat flux in air'
+          output_variable%units         = 'K m s-1'
+
+       CASE ( 'vtheta' )
+          output_variable%long_name     = 'northward kinematic sensible heat flux in air'
+          output_variable%units         = 'K m s-1'
+
+       CASE ( 'wtheta' )
+          output_variable%long_name     = 'upward kinematic sensible heat flux in air'
+          output_variable%units         = 'K m s-1'
+
+       CASE ( 'ta' )
+          output_variable%long_name     = 'air temperature'
+          output_variable%standard_name = 'air_temperature'
+          output_variable%units         = 'degree_C'
+
+       CASE ( 'tva' )
+          output_variable%long_name     = 'virtual acoustic temperature'
+          output_variable%units         = 'K'
+
+       CASE ( 'haa' )
+          output_variable%long_name     = 'absolute atmospheric humidity'
+          output_variable%units         = 'kg m-3'
+
+       CASE ( 'hus' )
+          output_variable%long_name     = 'specific humidity'
+          output_variable%standard_name = 'specific_humidity'
+          output_variable%units         = 'kg kg-1'
+
+       CASE ( 'hur' )
+          output_variable%long_name     = 'relative humidity'
+          output_variable%standard_name = 'relative_humidity'
+          output_variable%units         = '1'
+
+       CASE ( 'rlu' )
+          output_variable%long_name     = 'upwelling longwave flux in air'
+          output_variable%standard_name = 'upwelling_longwave_flux_in_air'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'rlus' )
+          output_variable%long_name     = 'surface upwelling longwave flux in air'
+          output_variable%standard_name = 'surface_upwelling_longwave_flux_in_air'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'rld' )
+          output_variable%long_name     = 'downwelling longwave flux in air'
+          output_variable%standard_name = 'downwelling_longwave_flux_in_air'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'rsddif' )
+          output_variable%long_name     = 'diffuse downwelling shortwave flux in air'
+          output_variable%standard_name = 'diffuse_downwelling_shortwave_flux_in_air'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'rsd' )
+          output_variable%long_name     = 'downwelling shortwave flux in air'
+          output_variable%standard_name = 'downwelling_shortwave_flux_in_air'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'rnds' )
+          output_variable%long_name     = 'surface net downward radiative flux'
+          output_variable%standard_name = 'surface_net_downward_radiative_flux'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'rsu' )
+          output_variable%long_name     = 'upwelling shortwave flux in air'
+          output_variable%standard_name = 'upwelling_shortwave_flux_in_air'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'rsus' )
+          output_variable%long_name     = 'surface upwelling shortwave flux in air'
+          output_variable%standard_name = 'surface_upwelling_shortwave_flux_in_air'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'rsds' )
+          output_variable%long_name     = 'surface downwelling shortwave flux in air'
+          output_variable%standard_name = 'surface_downwelling_shortwave_flux_in_air'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'hfss' )
+          output_variable%long_name     = 'surface upward sensible heat flux'
+          output_variable%standard_name = 'surface_upward_sensible_heat_flux'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'hfls' )
+          output_variable%long_name     = 'surface upward latent heat flux'
+          output_variable%standard_name = 'surface_upward_latent_heat_flux'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'ts' )
+          output_variable%long_name     = 'surface temperature'
+          output_variable%standard_name = 'surface_temperature'
+          output_variable%units         = 'K'
+
+       CASE ( 'thetas' )
+          output_variable%long_name     = 'surface layer temperature scale'
+          output_variable%units         = 'K'
+
+       CASE ( 'us' )
+          output_variable%long_name     = 'friction velocity'
+          output_variable%units         = 'm s-1'
+
+       CASE ( 'uw' )
+          output_variable%long_name     = 'upward eastward kinematic momentum flux in air'
+          output_variable%units         = 'm2 s-2'
+
+       CASE ( 'vw' )
+          output_variable%long_name     = 'upward northward kinematic momentum flux in air'
+          output_variable%units         = 'm2 s-2'
+
+       CASE ( 'uv' )
+          output_variable%long_name     = 'eastward northward kinematic momentum flux in air'
+          output_variable%units         = 'm2 s-2'
+
+       CASE ( 'plev' )
+          output_variable%long_name     = 'air pressure'
+          output_variable%standard_name = 'air_pressure'
+          output_variable%units         = 'Pa'
+
+       CASE ( 'm_soil' )
+          output_variable%long_name     = 'soil moisture volumetric'
+          output_variable%units         = 'm3 m-3'
+
+       CASE ( 't_soil' )
+          output_variable%long_name     = 'soil temperature'
+          output_variable%standard_name = 'soil_temperature'
+          output_variable%units         = 'degree_C'
+
+       CASE ( 'hfdg' )
+          output_variable%long_name     = 'downward heat flux at ground level in soil'
+          output_variable%standard_name = 'downward_heat_flux_at_ground_level_in_soil'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'hfds' )
+          output_variable%long_name     = 'downward heat flux in soil'
+          output_variable%standard_name = 'downward_heat_flux_in_soil'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'hfla' )
+          output_variable%long_name     = 'upward latent heat flux in air'
+          output_variable%standard_name = 'upward_latent_heat_flux_in_air'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'hfsa' )
+          output_variable%long_name     = 'upward latent heat flux in air'
+          output_variable%standard_name = 'upward_sensible_heat_flux_in_air'
+          output_variable%units         = 'W m-2'
+
+       CASE ( 'jno2' )
+          output_variable%long_name     = 'photolysis rate of nitrogen dioxide'
+          output_variable%standard_name = 'photolysis_rate_of_nitrogen_dioxide'
+          output_variable%units         = 's-1'
+
+       CASE ( 'lwcs' )
+          output_variable%long_name     = 'liquid water content of soil layer'
+          output_variable%standard_name = 'liquid_water_content_of_soil_layer'
+          output_variable%units         = 'kg m-2'
+
+       CASE ( 'lwp' )
+          output_variable%long_name     = 'liquid water path'
+          output_variable%standard_name = 'atmosphere_mass_content_of_cloud_liquid_water'
+          output_variable%units         = 'kg m-2'
+
+       CASE ( 'ps' )
+          output_variable%long_name     = 'surface air pressure'
+          output_variable%standard_name = 'surface_air_pressure'
+          output_variable%units         = 'hPa'
+
+       CASE ( 'pswrtg' )
+          output_variable%long_name     = 'platform speed wrt ground'
+          output_variable%standard_name = 'platform_speed_wrt_ground'
+          output_variable%units         = 'm s-1'
+
+       CASE ( 'pswrta' )
+          output_variable%long_name     = 'platform speed wrt air'
+          output_variable%standard_name = 'platform_speed_wrt_air'
+          output_variable%units         = 'm s-1'
+
+       CASE ( 'pwv' )
+          output_variable%long_name     = 'water vapor partial pressure in air'
+          output_variable%standard_name = 'water_vapor_partial_pressure_in_air'
+          output_variable%units         = 'hPa'
+
+       CASE ( 'ssdu' )
+          output_variable%long_name     = 'duration of sunshine'
+          output_variable%standard_name = 'duration_of_sunshine'
+          output_variable%units         = 's'
+
+       CASE ( 't_lw' )
+          output_variable%long_name     = 'land water temperature'
+          output_variable%units         = 'degree_C'
+
+       CASE ( 'tb' )
+          output_variable%long_name     = 'brightness temperature'
+          output_variable%standard_name = 'brightness_temperature'
+          output_variable%units         = 'K'
+
+       CASE ( 'uqv' )
+          output_variable%long_name     = 'eastward kinematic latent heat flux in air'
+          output_variable%units         = 'g kg-1 m s-1'
+
+       CASE ( 'vqv' )
+          output_variable%long_name     = 'northward kinematic latent heat flux in air'
+          output_variable%units         = 'g kg-1 m s-1'
+
+       CASE ( 'wqv' )
+          output_variable%long_name     = 'upward kinematic latent heat flux in air'
+          output_variable%units         = 'g kg-1 m s-1'
+
+       CASE ( 'zcb' )
+          output_variable%long_name     = 'cloud base altitude'
+          output_variable%standard_name = 'cloud_base_altitude'
+          output_variable%units         = 'm'
+
+       CASE ( 'zmla' )
+          output_variable%long_name     = 'atmosphere boundary layer thickness'
+          output_variable%standard_name = 'atmosphere_boundary_layer_thickness'
+          output_variable%units         = 'm'
+
+       CASE ( 'mcpm1' )
+          output_variable%long_name     = 'mass concentration of pm1 ambient aerosol particles in air'
+          output_variable%standard_name = 'mass_concentration_of_pm1_ambient_aerosol_particles_in_air'
+          output_variable%units         = 'kg m-3'
+
+       CASE ( 'mcpm10' )
+          output_variable%long_name     = 'mass concentration of pm10 ambient aerosol particles in air'
+          output_variable%standard_name = 'mass_concentration_of_pm10_ambient_aerosol_particles_in_air'
+          output_variable%units         = 'kg m-3'
+
+       CASE ( 'mcpm2p5' )
+          output_variable%long_name     = 'mass concentration of pm2p5 ambient aerosol particles in air'
+          output_variable%standard_name = 'mass_concentration_of_pm2p5_ambient_aerosol_particles_in_air'
+          output_variable%units         = 'kg m-3'
+
+       CASE ( 'mfno', 'mcno'  )
+          output_variable%long_name     = 'mole fraction of nitrogen monoxide in air'
+          output_variable%standard_name = 'mole_fraction_of_nitrogen_monoxide_in_air'
+          output_variable%units         = 'ppm' !'mol mol-1'
+
+       CASE ( 'mfno2', 'mcno2'  )
+          output_variable%long_name     = 'mole fraction of nitrogen dioxide in air'
+          output_variable%standard_name = 'mole_fraction_of_nitrogen_dioxide_in_air'
+          output_variable%units         = 'ppm' !'mol mol-1'
+
+       CASE ( 'tro3'  )
+          output_variable%long_name     = 'mole fraction of ozone in air'
+          output_variable%standard_name = 'mole_fraction_of_ozone_in_air'
+          output_variable%units         = 'ppm' !'mol mol-1'
+
+       CASE DEFAULT
+
+    END SELECT
+
+ END SUBROUTINE vm_set_attributes
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read namelist for the virtual measurement module
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE vm_parin
 
-    CHARACTER (LEN=80) ::  line   !< dummy string that contains the current line of the parameter file
-
-    NAMELIST /virtual_measurement_parameters/  dt_virtual_measurement,         &
-                                               off_ts,                         &
-                                               off_pr,                         &
-                                               off_tr,                         &
-                                               use_virtual_measurement,        &
+    CHARACTER(LEN=80) ::  line   !< dummy string that contains the current line of the parameter file
+
+    NAMELIST /virtual_measurement_parameters/  dt_virtual_measurement,                             &
+                                               off_ts,                                             &
+                                               off_pr,                                             &
+                                               off_tr,                                             &
+                                               use_virtual_measurement,                            &
                                                vm_time_start
 
@@ -810,5 +802,5 @@
     REWIND ( 11 )
     line = ' '
-    DO WHILE ( INDEX( line, '&virtual_measurement_parameters' ) == 0 )
+    DO  WHILE ( INDEX( line, '&virtual_measurement_parameters' ) == 0 )
        READ ( 11, '(A)', END=20 )  line
     ENDDO
@@ -822,5 +814,4 @@
 !-- Set flag that indicates that the virtual measurement module is switched on
     IF ( use_virtual_measurement )  virtual_measurement = .TRUE.
-
     GOTO 20
 
